Bug 224632 - Use kIOMainPortDefault where available
Summary: Use kIOMainPortDefault where available
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-15 16:53 PDT by Alex Christensen
Modified: 2021-04-24 15:10 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.42 KB, patch)
2021-04-15 16:55 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (4.55 KB, patch)
2021-04-15 17:58 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (4.54 KB, patch)
2021-04-15 18:00 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2021-04-15 16:53:26 PDT
Replace deprecation pragmas with new port name
Comment 1 Alex Christensen 2021-04-15 16:55:45 PDT
Created attachment 426157 [details]
Patch
Comment 2 EWS Watchlist 2021-04-15 16:57:20 PDT
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 Alex Christensen 2021-04-15 17:58:38 PDT
Created attachment 426165 [details]
Patch
Comment 4 Alex Christensen 2021-04-15 18:00:03 PDT
Created attachment 426166 [details]
Patch
Comment 5 Alexey Proskuryakov 2021-04-15 18:04:06 PDT
Comment on attachment 426166 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=426166&action=review

I would probably centralize this in one place if I were doing this, but seems OK either way.

> Source/ThirdParty/ANGLE/src/gpu_info_util/SystemInfo_macos.mm:41
>  #pragma clang diagnostic ignored "-Wdeprecated-declarations"

You can consider adding comments saying that the pragmas can be removed once rdar://76706593 is fixed, but it's not terribly important.
Comment 6 EWS 2021-04-15 18:45:14 PDT
Committed r276104 (236604@main): <https://commits.webkit.org/236604@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 426166 [details].
Comment 7 Kimmo Kinnunen 2021-04-16 04:51:21 PDT
Not sure if I'm doing something wrong, but I'm seeing the inverse issue now with an older SDK.

CompileC SystemInfo_macos.o
/Users/kkinnunen/WebKit/OpenSource/Source/ThirdParty/ANGLE/src/gpu_info_util/SystemInfo_macos.mm:38:34: error: use of undeclared identifier 'kIOMainPortDefault'
    const mach_port_t mainPort = kIOMainPortDefault;
                                 ^
/Users/kkinnunen/WebKit/OpenSource/Source/ThirdParty/ANGLE/src/gpu_info_util/SystemInfo_macos.mm:109:38: error: use of undeclared identifier 'kIOMainPortDefault'
        const mach_port_t mainPort = kIOMainPortDefault;
                                     ^
/Users/kkinnunen/WebKit/OpenSource/Source/ThirdParty/ANGLE/src/gpu_info_util/SystemInfo_macos.mm:176:34: error: use of undeclared identifier 'kIOMainPortDefault'
    const mach_port_t mainPort = kIOMainPortDefault;
                                 ^
/Users/kkinnunen/WebKit/OpenSource/Source/ThirdParty/ANGLE/src/gpu_info_util/SystemInfo_macos.mm:285:38: error: use of undeclared identifier 'kIOMainPortDefault'
        const mach_port_t mainPort = kIOMainPortDefault;
                                     ^
Comment 8 Alex Christensen 2021-04-16 13:20:18 PDT
(In reply to Kimmo Kinnunen from comment #7)
> Not sure if I'm doing something wrong, but I'm seeing the inverse issue now
> with an older SDK.
Time to update your SDK.
Comment 9 Radar WebKit Bug Importer 2021-04-24 15:10:42 PDT
<rdar://problem/77110140>